Subject: bug#75938: 31.0.50; Temporary file-names overflowing MAX_PATH characters

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Feb 2025 10:58:30 +0200

> From: arthur miller <[email-masked]>
> CC: "[email-masked]" <[email-masked]>, "[email-masked]"
> 	<[email-masked]>
> Date: Sat, 1 Feb 2025 02:25:26 +0000
> 
> I have rebuilt with debug symbols on the laptop with Win 11.
> 
> Emacs does not crash, nor do I get memory exhaustion error.

Good!  Is this a different machine from the one where you got "memory
exhausted"?  If so, it would mean this laptop has more free VM than
that other system.

> However, it eats up all the RAM, and stays busy for minutes without
> anything seemingly happen.

GC, perhaps?  Or maybe the system working on the pagefile (e.g.,
extending it, because what was there was exhausted)?

> It was responsive; I was able to C-g, and
> Emacs continue to function normally (yesterday it was crashing after
> a while), and also I was able to restart the operation again, and bail
> out of it via C-g, with Emacs seemingly operating normally afterwards.
> 
> I have looke at make-string function, but it seems ok to me, so I am not
> sure what is going on.

As I said earlier, I'm not sure I understand why you think there's any
problem in this scenario.